Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlVirtualEarth

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIVirtualEarth
                  org.richfaces.component.html.HtmlVirtualEarth

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlVirtualEarth

extends UIVirtualEarth

Component-Type org.richfaces.VirtualEarth Component-Family org.richfaces.VirtualEarth Renderer-Type org.richfaces.VirtualEarthRenderer It presents the google map in JSF applications

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlVirtualEarth()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getDashboardSize()` Initial map type.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getLat()` Initial latitude coordinate in degrees, as a number between -90 and +90 Getter for lat
`java.lang.String` | `getLng()` Initial longitude coordinate in degrees, as a number between -180 and +180 Getter for lng
`java.lang.String` | `getMapStyle()` Navigation control size.
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOnkeydown()` HTML: a script expression; a key is pressed down Getter for onkeydown
`java.lang.String` | `getOnkeypress()` HTML: a script expression; a key is pressed and released Getter for onkeypress
`java.lang.String` | `getOnkeyup()` HTML: a script expression; a key is released Getter for onkeyup
`java.lang.String` | `getOnLoadMap()` JavaScript code invoked just after the Virtual Earth object is initiated.
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getVar()` The JavaScript variable that is used to access the Virtual Earth API.
`java.lang.String` | `getVersion()` Virtual earth version, default - "6" Getter for version
`java.lang.String` | `getZoom()` Initial zoom level as a number between 1 and 18.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setDashboardSize(java.lang.String __dashboardSize)` Initial map type.
`void` | `setLat(java.lang.String __lat)` Initial latitude coordinate in degrees, as a number between -90 and +90 Setter for lat
`void` | `setLng(java.lang.String __lng)` Initial longitude coordinate in degrees, as a number between -180 and +180 Setter for lng
`void` | `setMapStyle(java.lang.String __mapStyle)` Navigation control size.
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOnkeydown(java.lang.String __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnLoadMap(java.lang.String __onLoadMap)` JavaScript code invoked just after the Virtual Earth object is initiated.
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setVar(java.lang.String __var)` The JavaScript variable that is used to access the Virtual Earth API.
`void` | `setVersion(java.lang.String __version)` Virtual earth version, default - "6" Setter for version
`void` | `setZoom(java.lang.String __zoom)` Initial zoom level as a number between 1 and 18.

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlVirtualEarth

    public HtmlVirtualEarth()

  Constructor to init default renderers

Method Detail

### setLat

    public void setLat(java.lang.String __lat)

  Initial latitude coordinate in degrees, as a number between -90 and +90 Setter for lat

  Parameters:
    `lat` - - new value

### getLat

    public java.lang.String getLat()

  Initial latitude coordinate in degrees, as a number between -90 and +90 Getter for lat

  Returns:
    lat value from local variable or value bindings

### setVar

    public void setVar(java.lang.String __var)

  The JavaScript variable that is used to access the Virtual Earth API. If you have more than one Virtual Earth components on the same page, use individual key for each of them. The default variable name is "map" (without quotes) Setter for var

  Parameters:
    `var` - - new value

### getVar

    public java.lang.String getVar()

  The JavaScript variable that is used to access the Virtual Earth API. If you have more than one Virtual Earth components on the same page, use individual key for each of them. The default variable name is "map" (without quotes) Getter for var

  Returns:
    var value from local variable or value bindings

### setZoom

    public void setZoom(java.lang.String __zoom)

  Initial zoom level as a number between 1 and 18. The default value is 17 Setter for zoom

  Parameters:
    `zoom` - - new value

### getZoom

    public java.lang.String getZoom()

  Initial zoom level as a number between 1 and 18. The default value is 17 Getter for zoom

  Returns:
    zoom value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  HTML: a script expression; a key is released Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setOnLoadMap

    public void setOnLoadMap(java.lang.String __onLoadMap)

  JavaScript code invoked just after the Virtual Earth object is initiated. Setter for onLoadMap

  Parameters:
    `onLoadMap` - - new value

### getOnLoadMap

    public java.lang.String getOnLoadMap()

  JavaScript code invoked just after the Virtual Earth object is initiated. Getter for onLoadMap

  Returns:
    onLoadMap value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  HTML: a script expression; a key is pressed down Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setVersion

    public void setVersion(java.lang.String __version)

  Virtual earth version, default - "6" Setter for version

  Parameters:
    `version` - - new value

### getVersion

    public java.lang.String getVersion()

  Virtual earth version, default - "6" Getter for version

  Returns:
    version value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setDashboardSize

    public void setDashboardSize(java.lang.String __dashboardSize)

  Initial map type. The possible values are Normal,Small,Tiny. The default value is Normal Setter for dashboardSize

  Parameters:
    `dashboardSize` - - new value

### getDashboardSize

    public java.lang.String getDashboardSize()

  Initial map type. The possible values are Normal,Small,Tiny. The default value is Normal Getter for dashboardSize

  Returns:
    dashboardSize value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  HTML: a script expression; a key is pressed and released Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setLng

    public void setLng(java.lang.String __lng)

  Initial longitude coordinate in degrees, as a number between -180 and +180 Setter for lng

  Parameters:
    `lng` - - new value

### getLng

    public java.lang.String getLng()

  Initial longitude coordinate in degrees, as a number between -180 and +180 Getter for lng

  Returns:
    lng value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setMapStyle

    public void setMapStyle(java.lang.String __mapStyle)

  Navigation control size. The possible values are Road,Aerial,Hybrid,Birdseye. The default value is Road Setter for mapStyle

  Parameters:
    `mapStyle` - - new value

### getMapStyle

    public java.lang.String getMapStyle()

  Navigation control size. The possible values are Road,Aerial,Hybrid,Birdseye. The default value is Road Getter for mapStyle

  Returns:
    mapStyle value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.